LATCP(8)

NAME
latcp - LAT Control Program

SYNOPSIS
latcp [options]

DESCRIPTION

latcp is the control program for latd(8).

  OPTIONS

-s  Start the LAT daemon. This is the only way to start LAT, you should not attempt to run latd directly or you may get unexpected behviour. latcp -s runs the file /etc/latd.conf as a shell script (using /bin/sh). Any customisations you need to do to the LAT system should be put in this file as latcp commands. The latcp command should be invoked using the environment variable $LATCP. An example latd.conf file is shipped with the package and shown in the man page latd.conf(5).
    latcp -s passes any extra switches onto latd itself so you can customise latd this way, however latd.conf is recommended.

-h  Halts latd. This will kill any active sessions without warning.

-A  Create a local LAT service or reverse LAT port.
    The syntax for creating a login service is:
    latcp -A -a service [-i description] [-r rating] [-s] [-C command] [-u user]
    The -s flag indicates that the service rating is static. Without this the service rating is regarded as a maximum and will be reduced according the the load average of the machine.
    The -C flag indicates a command to run when a user connects to the service - by default this is /bin/login.
    The -u flag specifies a user to run the above command as. By default this will be root.
    The syntax for creating a reverse LAT port is:
    latcp -A -p tty -V learned_service [-R rem_port] [-H rem_node] [-Q] [-8]
    The tty name should start /dev/lat and must not exist. The -Q flag indicates that connections to the service is queued. If you connect to a queued service and it is busy then your connection will be forced to wait until it is available. You must use this flag for printer services on DECserver 90L terminal servers, and in this case the service name must also be empty. NOTE that the -Q flag is the opposite way round to that on Tru64 Unix(r).
    The -8 flag tells latd not to muck about with the data. Normally latd will transmit a BREAK if a NUL character is typed, -8 disables this behaviour for ports with (eg) printers or modems attached.

-D  Delete a service or port.
    latcp -D -a <service> deletes an advertised service created with latcp -A -a.
    latcp -D -p <tty> deletes a reverse LAT port created with latcp -A -p

-i  Change the description of an advertised service
    latcp -i <description> -a <service> If the description contains spaces or shell metacharacters you should enclose it in quotes.

-j  Enables the service responder. This feature is needed for small terminal servers that do not collect their own service lists. I currently don't have a list of servers that need this feature. can anyone help??

-J  Disables service responder.

-Y  Purges the list of known services from latd's internal tables.

-x  Change the rating of an advertised service
    latcp -x <rating> [-s] -a <service>
    If the -s flag is present the rating is static, otherwise it is treated as the maximum value and will be decreased according to the system load average.

-n  Change the system's current node name (Note this affects latd only, not DECnet nor TCP/IP)
    latcp -n <nodename>

-r  Change the retransmit limit. This is the maximum number of times latd will transmit a packet without an acknowlegement. If this number is exceeded then the connection is closed as it is assumed that the remote end has gone away. This value must be between 4 and 120 inclusive, the default is 20.

-m  Sets the multicast timer (in seconds). This timer determines how often services are advertised on the LAN. The default is 60 seconds. This value must be between 10 and 180 inclusive.

-k  Sets the keepalive timer (in seconds). This is the maximum amount of time that a connection can be inactive. When this timer expires an empty message is sent to the remote end. If it does not respond after <retransmit limit> then the connection is closed. This timer is reset every time a packet is sent out. This value must be between 10 and 180 inclusive.

-d  Displays latd configuration or the learned service table. -d on it's own will display the latd configuration and the services that are advertised by this node. -d -l will display the learned service table. Adding -v will show the learned service table in a verbose manner. -n will show the nodes (with MAC addresses) that are associated with serviceless ports (eg reverse LAT ports to DS90L+ servers).

-?  Displays help for using the command.

-G  Add groups to the services advertised. The groups can be numbers separated by commas or a range. eg
    latcp -G 1,2,3,10-20
    Enables groups 1 2 3 and 10 to 20 inclusive.

-g  Disable groups using syntax as above.

-U  Add to the list of groups that the server will accept when listening for services. this affects the services that are available using the "reverse LAT" feature. See -G for the syntax.
    If you are using the "responder" feature it's best make sure that this group list contains all the groups that are likely to be used on the LAN.

-u  Remove groups from the user groups list.

  SEE ALSO
latd(8), latd.conf(5), moprc(8), llogin(1)